StatsValues (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.StatsValues interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Interface StatsValues

    public interface StatsValues

StatsValue defines the interface for the collection of statistical values about fields and facets.

Method Summary
`void` | `accumulate(NamedList stv)` Accumulate the values based on those in the given NamedList
`void` | `accumulate(String value)` Accumulate the values based on the given value
`void` | `accumulate(String value, int count)` Accumulate the values based on the given value
`void` | `addFacet(String facetName, Map<String,StatsValues> facetValues)` Adds the facet statistics for the facet with the given name
`void` | `addMissing(int count)` Updates the statistics when multiple documents are missing a value
`NamedList<?>` | `getStatsValues()` Translates the values into a NamedList representation
`void` | `missing()` Updates the statistics when a document is missing a value

Method Detail

### accumulate

    void accumulate(NamedList stv)

  Accumulate the values based on those in the given NamedList

  Parameters:
    `stv` - NamedList whose values will be used to accumulate the current values

### accumulate

    void accumulate(String value)

  Accumulate the values based on the given value

  Parameters:
    `value` - Value to use to accumulate the current values

### accumulate

    void accumulate(String value,
                    int count)

  Accumulate the values based on the given value

  Parameters:
    `value` - Value to use to accumulate the current values
    `count` - number of times to accumulate this value

### missing

    void missing()

  Updates the statistics when a document is missing a value

### addMissing

    void addMissing(int count)

  Updates the statistics when multiple documents are missing a value

  Parameters:
    `count` - number of times to count a missing value

### addFacet

    void addFacet(String facetName,
                  Map<String,StatsValues> facetValues)

  Adds the facet statistics for the facet with the given name

  Parameters:
    `facetName` - Name of the facet
    `facetValues` - Facet statistics on a per facet value basis

### getStatsValues

    NamedList<?> getStatsValues()

  Translates the values into a NamedList representation

  Returns:
    NamedList representation of the current values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD